import request from '@/utils/request'

// 查询高价值数据导入记录列表
export function listDHighValueInfoPreImp(query) {
  return request({
    url: '/dimp/dHighValueInfoPreImp/list',
    method: 'get',
    params: query
  })
}

export function importTemplate() {
  return request({
    url: '/dimp/dHighValueInfoPreImp/importTemplate',
    method: 'get'
  })
}

// 获取查询年列表
export function getYearList() {
  return request({
    url: '/report/rzlViewStatisticsInfo/getYearList',
    method: 'get'
  })
}


// 查询高价值数据导入记录详细
export function getDHighValueInfoPreImp(id) {
  return request({
    url: '/dimp/dHighValueInfoPreImp/' + id,
    method: 'get'
  })
}

// 新增高价值数据导入记录
export function addDHighValueInfoPreImp(data) {
  return request({
    url: '/dimp/dHighValueInfoPreImp',
    method: 'post',
    data: data
  })
}

// 修改高价值数据导入记录
export function updateDHighValueInfoPreImp(data) {
  return request({
    url: '/dimp/dHighValueInfoPreImp',
    method: 'put',
    data: data
  })
}

// 删除高价值数据导入记录
export function delDHighValueInfoPreImp(id) {
  return request({
    url: '/dimp/dHighValueInfoPreImp/' + id,
    method: 'delete'
  })
}
